This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 544022 - strftime used in logsys.c is not thread safe
strftime used in logsys.c is not thread safe
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: corosync (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jan Friesse
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-03 12:56 EST by Steven Dake
Modified: 2016-04-26 14:09 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-08 09:37:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch removing strftime with ISO time format output (1.43 KB, patch)
2009-12-04 06:06 EST, Jan Friesse
no flags Details | Diff
Mostly same patch, but output is similar to current output (1.49 KB, patch)
2009-12-04 06:07 EST, Jan Friesse
no flags Details | Diff

  None (edit)
Description Steven Dake 2009-12-03 12:56:21 EST
Description of problem:
Posix requires strftime to be thread safe according to the specification.  Unfortunately the implementation of strftime in libc uses getenv, which according to Posix spec is not thread safe.  Please rework the usage of strftime to some other API which does not use getenv.

Version-Release number of selected component (if applicable):
corosync-1.1.2

How reproducible:


Steps to Reproduce:
1. may only occur on debian 
2. turn on timestamps
3. run code
  
Actual results:
http://marc.info/?l=openais&m=125785302203928&w=2

Expected results:
no segfualt

Additional info:
Comment 1 Jan Friesse 2009-12-04 06:06:19 EST
Created attachment 376057 [details]
Patch removing strftime with ISO time format output
Comment 2 Jan Friesse 2009-12-04 06:07:00 EST
Created attachment 376058 [details]
Mostly same patch, but output is similar to current output
Comment 3 Jan Friesse 2009-12-08 09:37:30 EST
Second patch is now included in upstream. I hope it solves problem and closing bug

Note You need to log in before you can comment on or make changes to this bug.